Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Feb 2022 14:45:25 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked]
> Date: Wed, 23 Feb 2022 01:45:33 -0500
> 
>     > Removing its manual is only acceptable to me if we also remove
>     > the package and all its uses.
> 
> Lots of packages don't have manuals.  Indeed, it is undesirable not to
> have the Texinfo manual, but not a disaster.

It is in this case, IMO.  I suggest that you take a quick look at
transient.el and consider whether it is easy to grasp without a decent
manual.  My firm opinion is that it is very hard for the uninitiated.

>   > For future releases, we indeed hope to see the problems of
>   > conversion from Org resolved,
> 
> That would be a very good advance; but because it's difficult and
> because I've seen people neglect the issue before, could you ask
> the people doing this to show me the spec they want to implement?

Jonas explicitly said he is working on this, so I find it hard to
believe that this won't be solved soon enough, worst case in time for
Emacs 29.